package java.awt;

public class Canvas extends Component {
   private static final String base = "canvas";
   private static int nameCounter;
   private static final long serialVersionUID = -2284879212465893870L;

   public Canvas() {
      super.name = "canvas" + nameCounter++;
   }

   public void addNotify() {
      if (super.peer == null) {
         super.peer = ((Component)this).getToolkit().createCanvas(this);
      }

      super.addNotify();
   }

   public void paint(Graphics var1) {
      var1.setColor(((Component)this).getBackground());
      var1.fillRect(0, 0, super.width, super.height);
   }

   boolean postsOldMouseEvents() {
      return true;
   }
}
