package java.awt;

import java.io.Serializable;

public class Dimension implements Serializable {
   public int width;
   public int height;
   private static final long serialVersionUID = 4723952579491349524L;

   public Dimension() {
      this(0, 0);
   }

   public Dimension(Dimension var1) {
      this(var1.width, var1.height);
   }

   public Dimension(int var1, int var2) {
      this.width = var1;
      this.height = var2;
   }

   public Dimension getSize() {
      return new Dimension(this.width, this.height);
   }

   public void setSize(Dimension var1) {
      this.setSize(var1.width, var1.height);
   }

   public void setSize(int var1, int var2) {
      this.width = var1;
      this.height = var2;
   }

   public boolean equals(Object var1) {
      if (var1 instanceof Dimension) {
         Dimension var2 = (Dimension)var1;
         return this.width == var2.width && this.height == var2.height;
      } else {
         return false;
      }
   }

   public String toString() {
      return this.getClass().getName() + "[width=" + this.width + ",height=" + this.height + "]";
   }
}
