package java.awt;

public class EventDispatchThread extends Thread {
   private EventQueue theQueue;
   private EventPump pump = new EventPump(this);

   public EventDispatchThread(ThreadGroup var1, String var2) {
      super(var1, var2);
   }

   public void setEventQueue(EventQueue var1) {
      this.theQueue = var1;
   }

   public EventDispatchThread(String var1, EventQueue var2) {
      super(var1);
      this.theQueue = var2;
   }

   public void stopDispatching() {
      this.pump.stopDispatching();
   }

   public void run() {
      this.pump.dispatchEvents();
   }
}
