package java.awt;

public class Panel extends Container {
   static final LayoutManager panelLayout = new FlowLayout();
   private static final String base = "panel";
   private static int nameCounter;
   private static final long serialVersionUID = -2728009084054400034L;

   public Panel() {
      this(panelLayout);
   }

   public Panel(LayoutManager var1) {
      super.name = "panel" + nameCounter++;
      ((Container)this).setLayout(var1);
   }

   public void addNotify() {
      if (super.peer == null) {
         super.peer = ((Component)this).getToolkit().createPanel(this);
      }

      super.addNotify();
   }
}
