package java.awt;

import java.io.Serializable;

public class Point implements Serializable {
   // $FF: renamed from: x int
   public int field_0;
   // $FF: renamed from: y int
   public int field_1;
   private static final long serialVersionUID = -5276940640259749850L;

   public Point() {
      this(0, 0);
   }

   public Point(Point var1) {
      this(var1.field_0, var1.field_1);
   }

   public Point(int var1, int var2) {
      this.field_0 = var1;
      this.field_1 = var2;
   }

   public Point getLocation() {
      return new Point(this.field_0, this.field_1);
   }

   public void setLocation(Point var1) {
      this.setLocation(var1.field_0, var1.field_1);
   }

   public void setLocation(int var1, int var2) {
      this.move(var1, var2);
   }

   public void move(int var1, int var2) {
      this.field_0 = var1;
      this.field_1 = var2;
   }

   public void translate(int var1, int var2) {
      this.field_0 += var1;
      this.field_1 += var2;
   }

   public int hashCode() {
      return this.field_0 ^ this.field_1 * 31;
   }

   public boolean equals(Object var1) {
      if (var1 instanceof Point) {
         Point var2 = (Point)var1;
         return this.field_0 == var2.field_0 && this.field_1 == var2.field_1;
      } else {
         return false;
      }
   }

   public String toString() {
      return this.getClass().getName() + "[x=" + this.field_0 + ",y=" + this.field_1 + "]";
   }
}
